---
title: VideoTrack.kind
slug: Web/API/VideoTrack/kind
tags:
  - API
  - HTML DOM
  - Media
  - Property
  - Read-only
  - Reference
  - Video
  - Video Track
  - VideoTrack
  - id
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong><code>kind</code></strong> property contains a string indicating the category of video contained in the <strong>{{domxref("VideoTrack")}}</strong>.</span> The <code>kind</code> can be used to determine the scenarios in which specific tracks should be enabled or disabled. See {{anch("Video track kind strings")}} for a list of the kinds available for video tracks.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackKind</em> = <em>VideoTrack</em>.kind;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying the type of content the media represents. The string is one of those found in {{anch("Video track kind strings")}} below.</p>

<h2 id="Video_track_kind_strings">Video track kind strings</h2>

<p>The kinds available for video tracks are:</p>

<dl>
 <dt><code>"alternative"</code></dt>
 <dd>A potential alternative to the main track, such as a different video take or a version of the soundtrack with only the music and no dialogue.</dd>
 <dt><code>"captions"</code></dt>
 <dd>A version of the main video track with captions burnt in.</dd>
 <dt><code>"main"</code></dt>
 <dd>The primary video track.</dd>
 <dt><code>"sign"</code></dt>
 <dd>A sign-language interpretation of an audio track.</dd>
 <dt><code>"subtitles"</code></dt>
 <dd>A version of the main video track with subtitles burnt in.</dd>
 <dt><code>"commentary"</code></dt>
 <dd>A video track containing a commentary. This might be used to contain the director's commentary track on a movie, for example.</dd>
 <dt><code>""</code> (empty string)</dt>
 <dd>The track doesn't have an explicit kind, or the kind provided by the track's metadata isn't recognized by the {{Glossary("user agent")}}.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-videotrack-kind', 'VideoTrack: kind')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VideoTrack.kind")}}</p>
